@echo off
set ver=v1
title Add Exclusion Windows Defender _ kuyhAa
fltmc >nul 2>&1 || (
  echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\GetAdmin.vbs"
  echo UAC.ShellExecute "%~fs0", "", "", "runas", 1 >> "%temp%\GetAdmin.vbs"
  cmd /u /c type "%temp%\GetAdmin.vbs">"%temp%\GetAdminUnicode.vbs"
  cscript //nologo "%temp%\GetAdminUnicode.vbs"
  del /f /q "%temp%\GetAdmin.vbs" >nul 2>&1
  del /f /q "%temp%\GetAdminUnicode.vbs" >nul 2>&1
  exit
)
@echo off

set "exclusionPath1=C:\Program Files (x86)\Internet Download Manager\IDMan.exe"
set "exclusionPath2=C:\Program Files\Internet Download Manager\IDMan.exe"

powershell -Command ^
    Add-MpPreference -ExclusionPath '%exclusionPath1%' -Force; ^
    Add-MpPreference -ExclusionPath '%exclusionPath2%' -Force;

echo.
echo Successfully Add Exclusion Windows Defender.
echo.
echo ~~~~~~~~~~~~~~~~~~~~~~ kuyhAa ~~~~~~~~~~~~~~~~~~~~~~
echo.
echo Press any key to exit...
pause >nul
